from django.contrib import admin
from .models import KeywordMission, DateMission, TimeMission, PageMission, ArticleMission


# Register your models here.
class KeywordMissionAdmin(admin.ModelAdmin):
    list_display = ["keyword_mission_id", "keyword", "publisher"]


class DateMissionAdmin(admin.ModelAdmin):
    list_display = ["date_mission_id", "date", "is_date_finished", "keyword_mission"]


class TimeMissionAdmin(admin.ModelAdmin):
    list_display = ["time_mission_id", "time", "is_time_finished", "date_mission"]


class PageMissionAdmin(admin.ModelAdmin):
    list_display = ["page_mission_id", "page", "time_mission", "finisher"]


class ArticleMissionAdmin(admin.ModelAdmin):
    list_display = ["article_mission_id", "page_mission", "article_id", "publish_time", "content", "like_count",
                    "comment_count"]


admin.site.register(KeywordMission, KeywordMissionAdmin)
admin.site.register(DateMission, DateMissionAdmin)
admin.site.register(TimeMission, TimeMissionAdmin)
admin.site.register(PageMission, PageMissionAdmin)
admin.site.register(ArticleMission, ArticleMissionAdmin)
