from django.urls import path
from .views import user_login, user_logout, user_is_logged, user_register

app_name = 'userprofile'

urlpatterns = [
    # 用户登录
    path('login/', user_login, name='login'),
    path('logout/', user_logout, name='logout'),
    path('islogged/', user_is_logged, name='islogged'),
    path('register/', user_register, name='register'),
]
